diff mbox

[pm-qa,07/14] test the governor change is effective

Message ID 1311684424-8057-8-git-send-email-daniel.lezcano@linaro.org
State Accepted
Headers show

Commit Message

Daniel Lezcano July 26, 2011, 12:46 p.m. UTC
Signed-off-by: Daniel Lezcano <daniel.lezcano@linaro.org>
---
 cpufreq/test_03.sh |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)
 create mode 100644 cpufreq/test_03.sh
diff mbox

Patch

diff --git a/cpufreq/test_03.sh b/cpufreq/test_03.sh
new file mode 100644
index 0000000..4dff432
--- /dev/null
+++ b/cpufreq/test_03.sh
@@ -0,0 +1,51 @@ 
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+#
+# Contributors:
+#     Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+#       - initial API and implementation
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Doc/QA/Scripts#test_03
+
+source ../include/functions.sh
+
+check_governor() {
+
+    local cpu=$1
+    local newgov=$2
+
+    shift 2
+
+    local oldgov=$(get_governor $cpu)
+
+    set_governor $cpu $newgov
+
+    check "governor change to '$newgov'" "test \"$(get_governor $cpu)\" == \"$newgov\""
+
+    set_governor $cpu $oldgov
+}
+
+if [ $(id -u) != 0 ]; then
+    log_skip "run as non-root"
+    exit 0
+fi
+
+for_each_cpu for_each_governor check_governor || exit 1